Name:		eigen3
Summary:	Lightweight C++ template library for vector and matrix math
Version:	3.1.2
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
URL:		http://eigen.tuxfamily.org/
Source0:	http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
Source1:	eigen3.png

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ghostscript-common
BuildRequires:	graphviz
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	qt4-devel
BuildRequires:	cholmod-devel
BuildRequires:	umfpack-devel


%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package -n %{name}-devel
Summary:	Header files for Eigen3
BuildArch:	noarch

%description -n %{name}-devel
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%files -n %{name}-devel
%{_includedir}/%{name}/*
%{_datadir}/pkgconfig/*.pc

%package -n %{name}-doc
Summary:	This is the API documentation for Eigen3
BuildArch:	noarch

%description  -n %{name}-doc
This is the API documentation for Eigen3.

%files  -n %{name}-doc
%doc %{_docdir}/*
%{_datadir}/applications/eigen3-doc.desktop
%{_iconsdir}/*

%prep
%setup -q -n eigen-eigen-5097c01bcdc4

%build
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CFLAGS="$CFLAGS -fpermissive"
export CPPFLAGS="$CPPFLAGS -fpermissive"

%cmake 
#-DEIGEN_BUILD_TESTS=ON
%make
make doc
#make check

%install
%makeinstall_std -C build
install -d %{buildroot}%{_docdir}/%{name}/html
cp -r build/doc/html/* %{buildroot}%{_docdir}/%{name}/html

# Desktop
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_iconsdir}
install -D %{SOURCE1} %{buildroot}%{_iconsdir}
cat > %{buildroot}%{_datadir}/applications/eigen3-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Eigen3 C++ API Documentation
GenericName=Eigen3 C++ API Documentation
Exec=xdg-open %{_docdir}/%{name}/html/index.html
Icon=eigen3
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.1.2-2.mga3
+ Revision: 349577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 barjac <barjac> 3.1.2-1.mga3
+ Revision: 340260
- new version
- two new build requires

  + joequant <joequant>
    - upgrade to 3.1.1

* Tue Jul 10 2012 fwang <fwang> 3.0.6-1.mga3
+ Revision: 269161
- new version 3.0.6

* Tue Feb 28 2012 barjac <barjac> 3.0.5-2.mga2
+ Revision: 215941
+ rebuild (emptylog)

* Tue Feb 28 2012 barjac <barjac> 3.0.5-1.mga2
+ Revision: 215934
- Main package now -devel
- Corrected doc dir ownership
- imported package eigen3

